de.esprit.common.log

## Class LogMessageEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.common.log.LogMessageEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class LogMessageEvent
      extends GenericEvent

  This is a carrier for log messages that are being distributed via the java event mechanism.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `LogMessageEvent.Listener`
    `static interface` | `LogMessageEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogMessageEvent(java.lang.Object caller, LogLevel logLevel, java.lang.String loggerName, java.lang.String message)`
    `LogMessageEvent(java.lang.Object caller, java.lang.String logChannelName, LogLevel logLevel, java.lang.String message, java.lang.Throwable exc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCaller()`
    `java.lang.Throwable` | `getException()`
    `java.lang.String` | `getLogChannelName()`
    `LogLevel` | `getLogLevel()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getThreadName()`
    `java.lang.String` | `getTimestamp()` Note that this is a formatted string instead of a Timestamp object.
    `boolean` | `isClear()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogMessageEvent

          public LogMessageEvent(java.lang.Object caller,
                         LogLevel logLevel,
                         java.lang.String loggerName,
                         java.lang.String message)

    - #### LogMessageEvent

          public LogMessageEvent(java.lang.Object caller,
                         java.lang.String logChannelName,
                         LogLevel logLevel,
                         java.lang.String message,
                         java.lang.Throwable exc)

  - ### Method Detail

    - #### getLogChannelName

          public java.lang.String getLogChannelName()

    - #### getCaller

          public java.lang.String getCaller()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getThreadName

          public java.lang.String getThreadName()

    - #### getTimestamp

          public java.lang.String getTimestamp()

      Note that this is a formatted string instead of a Timestamp object. This is to avoid time-zone problems between client and server.

    - #### getLogLevel

          public LogLevel getLogLevel()

    - #### getException

          public java.lang.Throwable getException()

    - #### isClear

          public boolean isClear()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.